Subject: Re: bug#49980: 28.0.50; [PATCH] Should we have project-save-buffers?

From: Dmitry Gutov <[email-masked]>
Date: Mon, 16 Aug 2021 06:06:23 +0300

On 16.08.2021 04:19, Arthur Miller wrote:
> What do you think about checking out, between multiple different
> branches? Switching two branches back and forth is no brainer, it should
> always work fine, but switching multiple branches can lead to mess since
> stashes are applied automatically. Any good strategy to automate this
> case?

I don't know. You're automating a case I have been handling manually 
(and hadn't been bothered by that, thus far).

You will most likely encounter some edge cases where the automation 
breaks, but it's hard to predict those in advance.

> Honestly, I don't see much difference than doing it manually, but I am a
> bit affraid of auto applying stashes.

As long as they're named ones (and thus you won't miss and accidentally 
pop an unrelated one), this should work fine.